Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ssi
Class SSIEcho

    java.lang.Object
      org.apache.catalina.ssi.SSIEcho

All Implemented Interfaces:
  SSICommand

    public class SSIEcho

extends Object
implements SSICommand

Return the result associated with the supplied Server Variable.

Version:
  $Id: SSIEcho.java 1138121 2011-06-21 18:32:41Z markt $
Author:
  Bip Thelin, Paul Speed, Dan Sandberg, David Becker

Field Summary
`protected static String` | `DEFAULT_ENCODING`
`protected static String` | `MISSING_VARIABLE_VALUE`

Constructor Summary
`SSIEcho()`

Method Summary
`protected boolean` | `isValidEncoding(String encoding)`
`long` | `process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)` Write the output of the command to the writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ENCODING

    protected static final String DEFAULT_ENCODING

See Also:
  Constant Field Values

### MISSING_VARIABLE_VALUE

    protected static final String MISSING_VARIABLE_VALUE

See Also:
  Constant Field Values

Constructor Detail

### SSIEcho

    public SSIEcho()

Method Detail

### process

    public long process(SSIMediator ssiMediator,
                        String commandName,
                        String[] paramNames,
                        String[] paramValues,
                        PrintWriter writer)

  Description copied from interface: `SSICommand`
  Write the output of the command to the writer.

  Specified by:
    `process` in interface `SSICommand`
  Parameters:
    `ssiMediator` - the ssi mediator
    `commandName` - the name of the actual command ( ie. echo )
    `paramNames` - The parameter names
    `paramValues` - The parameter values
    `writer` - the writer to output to
  Returns:
    the most current modified date resulting from any SSI commands
  See Also:
    `SSICommand`

### isValidEncoding

    protected boolean isValidEncoding(String encoding)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.